{pkgs, ...}: {
    home = {
        stateVersion = "23.05";  # Static
        username = "user";
        homeDirectory = "/home/user";

        packages = with pkgs; [
            btop
            bat
            thefuck
            ranger
            icdiff
            #rofi
            #rofi-rbw
            nwg-launchers
            gnumake42
            wget
            axel
            grim
            slurp
        ];

        sessionPath = [
            ".local/bin"
            "Applications"
        ];

        sessionVariables = {
            #GTK_IM_MODULE = "fcitx";
            #QT_IM_MODULE = "fcitx";
            #SDL_VIDEODRIVER = "wayland";
            #SDL_IM_MODULE = "fcitx";
        };

        shellAliases = {
            cao = "fuck";
            top = "btop";
            ls = "ls --color=auto";
            cat = "bat -p --paging=never -u";
            diff = "icdiff";
        };

        file = {
            # hyprland
            ".config/hypr/hyprland.conf".source = ./files/hyprland.conf;
            ".config/hypr/hyprpaper.conf".source = ./files/hyprpaper.conf;

            # ranger
            ".config/ranger/rc.conf".source = ./files/ranger-rc.conf;

            # nwg
            ".config/nwg-launchers".source = ./files/nwg-launchers;

            # wallpapers
            ".local/share/wallpapers".source = ./wallpapers;

            # Use flatseal to change permissions.
            #".local/share/fonts".source = /run/current-system/sw/share/X11/fonts;

            # Fix flatpak fonts
            ".local/share/flatpak/overrides/global".text = ''
                [Context]
                sockets=wayland
                filesystems=/run/current-system/sw/share/X11/fonts:ro;/nix/store:ro;~/.icons;
            '';

            # Electron global settings
            ".config/electron-flags.conf".text = ''
                --enable-features=WaylandWindowDecorations
                --ozone-platform-hint=auto
                --enable-webrtc-pipewire-capturer
            '';

            ".config/electron13-flags.conf".text = ''
                --enable-features=UseOzonePlatform
                --ozone-platform=wayland
            '';
        };
    };
}